Package org.eclipse.birt.core.framework.parser

# Class ParseState

java.lang.Object
org.eclipse.birt.core.framework.parser.AbstractParseState
org.eclipse.birt.core.framework.parser.ParseState

Direct Known Subclasses:
  `AnyElementState`, `XMLParserHandler.InnerParseState`

public class ParseState extends AbstractParseState
Base class provides the parse state framework. By default, it reports an error if an unexpected tag is seen.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XMLParserHandler`
`handler`
The SAX parser handler associated with this parse state.

### Fields inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState

`context, elementName, text`

## Constructor Summary

Constructors
Constructor
Description
`ParseState(XMLParserHandler theHandler)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`XMLParserHandler`
`getHandler()`
Returns the parser handler.

### Methods inherited from class org.eclipse.birt.core.framework.parser.AbstractParseState

`end, endElement, getAttrib, jumpTo, parseAttrs, setElementName, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### handler

protected final XMLParserHandler handler
The SAX parser handler associated with this parse state.

## Constructor Details

### ParseState

public ParseState(XMLParserHandler theHandler)
Constructor.

Parameters:
  `theHandler` - the associated SAX parser handler

## Method Details

### getHandler

public XMLParserHandler getHandler()
Description copied from class: `AbstractParseState`
Returns the parser handler. Required to be implemented by derived states. States will implement this differently depending on whether the state is a normal or inner class.

Specified by:
  `getHandler` in class `AbstractParseState`
Returns:
  the XML parser handler